import '../../stencil.core';
export declare class App {
    el: HTMLElement;
    label: string;
    menu: 'custom' | boolean;
    menuLabel: string;
    splitPane: boolean;
    componentDidLoad(): void;
    getMenu(): JSX.Element;
    getMenuButton(): JSX.Element;
    getMain(): JSX.Element;
    render(): JSX.Element[];
}
